Subject: bug#54536: 29.0.50; Improve ERC's handling of multiline prompt input

From: Michael Albinus <[email-masked]>
Date: Thu, 24 Mar 2022 21:16:12 +0100

"J.P." <[email-masked]> writes:

Hi,

> I'd like to get #48598 ("buffer-naming collisions involving bouncers in
> ERC") up to snuff relatively soon. Would it make sense to petition
> emacs-devel for eyeballs at some point? Also, is there any way to try
> out some patches on EMBA CI? I have a feeling some of my tests that work
> locally and on GitLab.com's GCP runners may have to be tuned a bit for
> EMBA. (Or would these questions be better put to the build-automation
> folks?) Thanks.

On EMBA, also git branches run the CI tests. See file test/infra/gitlab-ci.yml:

--8<---------------cut here---------------start------------->8---
    - if: '$CI_COMMIT_BRANCH !~ /^(master|emacs|feature|fix)/'
      when: never
--8<---------------cut here---------------end--------------->8---

So your branch name must start with one of these words.

Best regards, Michael.